<mat-accordion multi="true" *ngIf="posts.length > 0">
    <mat-expasion-panel *ngFor="let post of posts">
        <mat-expasion-panel-header>
            {{post.title}}
        </mat-expasion-panel-header>
        <h3>{{post.authorName}}</h3>
        <p>{{post.content}}</p>
        <mat-action-row>
            <button mat-button color="primary">EDIT</button>
            <button mat-button color="warn">DELETE</button>
        </mat-action-row>
    </mat-expasion-panel>
</mat-accordion>
<p class="info-text mat-body-1" *ngIf="posts.length <= 0">No posts added yet!</p>
